curl --request PATCH \
--url https://prod01.copilot.fabric.inc/data-subscription/v1/subscriptions/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel": "WEBSITE",
"customer": {
"customerReferenceId": "12345",
"locale": "en_US",
"email": "[email protected]",
"contactnumber": "+923333709568",
"firstName": "Pat",
"middleName": "E",
"lastName": "Kake",
"segment": [
"employee"
],
"employeeId": "345",
"communicationPreference": {
"email": true,
"sms": true
}
},
"shipTo": {
"name": {
"firstName": "Pat",
"middleName": "E",
"lastName": "Kake"
},
"streetAddress": {
"street1": "123 Main St",
"street2": "Suite 100"
},
"city": "Boston",
"state": "MA",
"postalCode": "02127",
"country": "US",
"phone": {
"number": "5555551234",
"kind": "home"
}
},
"billTo": {
"name": {
"firstName": "Pat",
"middleName": "E",
"lastName": "Kake"
},
"streetAddress": {
"street1": "123 Main St",
"street2": "Suite 100"
},
"city": "Boston",
"state": "MA",
"postalCode": "02127",
"country": "US",
"phone": {
"number": "5555551234",
"kind": "home"
}
},
"paymentDetails": {
"paymentIdentifier": {
"cardIdentifier": "1234",
"expiryDate": "12/20"
},
"paymentMethod": "credit_card",
"paymentKind": "credit"
},
"customAttributes": {
"storeId": "60cb07fc20387b000821c5c3",
"associateId": 1,
"trackingUrl": "609436d21baded0008945b05"
},
"item": {
"id": 1000000006,
"sku": "MOBO-X570",
"quantity": 1,
"weight": 10,
"weightUnit": "lb",
"title": "Vitamin",
"description": "Vitamin C",
"itemPrice": {
"price": 100,
"currencyCode": "USD"
},
"tax": {
"taxCode": "FR020000",
"taxAmount": 10,
"currencyCode": "USD"
}
},
"plan": {
"id": "1001",
"frequency": 30,
"frequencyType": "Daily"
},
"offer": {
"id": "SUB-E10717",
"source": "PDP"
},
"shipping": {
"shipmentCarrier": "USPS",
"shipmentMethod": "Ground",
"shipmentInstructions": "Please leave the package in the box",
"taxCode": "SHP020000",
"shippingAmount": 10,
"taxAmount": 1,
"currencyCode": "USD"
},
"expiry": {
"expiryDate": "2022-07-18T09:16:11.437Z",
"billingCycles": 2
}
}
'{
"responseStatus": "OK",
"message": "Request processed successfully",
"data": {
"subscription": {
"id": "6256610bc312410009b7390b",
"customer": {
"id": "62cffd65e8d7eb868c6a29d6",
"customerReferenceId": "12345",
"locale": "en_US",
"email": "[email protected]",
"contactNumber": "+923333709568",
"firstName": "Pat",
"middleName": "E",
"lastName": "Kake",
"segment": [
"employee"
],
"employeeId": "345",
"communicationPreference": {
"email": true,
"sms": true
},
"status": "ACTIVE",
"createdAt": "2021-10-12T21:35:05.756Z",
"updatedAt": "2021-10-14T05:40:55.997Z"
},
"item": {
"id": 1000000006,
"sku": "MOBO-X570",
"quantity": 1,
"itemPrice": {
"price": 100,
"currencyCode": "USD"
},
"weight": 10,
"weightUnit": "lb",
"title": "Vitamin",
"description": "Vitamin C",
"tax": {
"taxCode": "FR020000",
"taxAmount": 10,
"currencyCode": "USD"
}
},
"plan": {
"frequency": 30,
"frequencyType": "Daily",
"id": "1001"
},
"offer": {
"id": "SUB-E10717",
"source": "PDP"
},
"shipping": {
"shipmentCarrier": "USPS",
"shipmentMethod": "Ground",
"shipmentInstructions": "Please leave the package in the box",
"taxCode": "SHP020000",
"shippingAmount": 10,
"taxAmount": 1,
"currencyCode": "USD"
},
"expiry": {
"expiryDate": "2022-07-18T09:16:11.437Z",
"billingCycles": 2
},
"shipTo": {
"name": {
"firstName": "Pat",
"lastName": "Kake",
"middleName": "E"
},
"streetAddress": {
"street1": "123 Main St",
"street2": "Suite 100"
},
"city": "Boston",
"state": "MA",
"postalCode": "02127",
"country": "US",
"phone": {
"number": "5555551234",
"kind": "home"
}
},
"billTo": {
"name": {
"firstName": "Pat",
"lastName": "Kake",
"middleName": "E"
},
"streetAddress": {
"street1": "123 Main St",
"street2": "Suite 100"
},
"city": "Boston",
"state": "MA",
"postalCode": "02127",
"country": "US",
"phone": {
"number": "5555551234",
"kind": "home"
}
},
"paymentDetails": {
"paymentIdentifier": {
"cardIdentifier": "1234",
"expiryDate": "12/20"
},
"paymentMethod": "credit_card",
"paymentKind": "Visa"
},
"customAttributes": {
"storeId": "60cb07fc20387b000821c5c3",
"associateId": 1,
"trackingUrl": "609436d21baded0008945b05"
},
"status": "ACTIVE",
"isDeleted": false,
"deletedAt": "2019-01-01T00:00:00.000Z",
"channel": "WEBSITE",
"originOrderId": "22-4498-4800",
"offsetDays": 2,
"createdAt": "2021-10-12T21:35:05.756Z",
"updatedAt": "2021-10-14T05:40:55.997Z",
"statusUpdatedAt": "2021-10-14T10:24:36.468Z"
}
}
}Update single subscription by subscription ID
curl --request PATCH \
--url https://prod01.copilot.fabric.inc/data-subscription/v1/subscriptions/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel": "WEBSITE",
"customer": {
"customerReferenceId": "12345",
"locale": "en_US",
"email": "[email protected]",
"contactnumber": "+923333709568",
"firstName": "Pat",
"middleName": "E",
"lastName": "Kake",
"segment": [
"employee"
],
"employeeId": "345",
"communicationPreference": {
"email": true,
"sms": true
}
},
"shipTo": {
"name": {
"firstName": "Pat",
"middleName": "E",
"lastName": "Kake"
},
"streetAddress": {
"street1": "123 Main St",
"street2": "Suite 100"
},
"city": "Boston",
"state": "MA",
"postalCode": "02127",
"country": "US",
"phone": {
"number": "5555551234",
"kind": "home"
}
},
"billTo": {
"name": {
"firstName": "Pat",
"middleName": "E",
"lastName": "Kake"
},
"streetAddress": {
"street1": "123 Main St",
"street2": "Suite 100"
},
"city": "Boston",
"state": "MA",
"postalCode": "02127",
"country": "US",
"phone": {
"number": "5555551234",
"kind": "home"
}
},
"paymentDetails": {
"paymentIdentifier": {
"cardIdentifier": "1234",
"expiryDate": "12/20"
},
"paymentMethod": "credit_card",
"paymentKind": "credit"
},
"customAttributes": {
"storeId": "60cb07fc20387b000821c5c3",
"associateId": 1,
"trackingUrl": "609436d21baded0008945b05"
},
"item": {
"id": 1000000006,
"sku": "MOBO-X570",
"quantity": 1,
"weight": 10,
"weightUnit": "lb",
"title": "Vitamin",
"description": "Vitamin C",
"itemPrice": {
"price": 100,
"currencyCode": "USD"
},
"tax": {
"taxCode": "FR020000",
"taxAmount": 10,
"currencyCode": "USD"
}
},
"plan": {
"id": "1001",
"frequency": 30,
"frequencyType": "Daily"
},
"offer": {
"id": "SUB-E10717",
"source": "PDP"
},
"shipping": {
"shipmentCarrier": "USPS",
"shipmentMethod": "Ground",
"shipmentInstructions": "Please leave the package in the box",
"taxCode": "SHP020000",
"shippingAmount": 10,
"taxAmount": 1,
"currencyCode": "USD"
},
"expiry": {
"expiryDate": "2022-07-18T09:16:11.437Z",
"billingCycles": 2
}
}
'{
"responseStatus": "OK",
"message": "Request processed successfully",
"data": {
"subscription": {
"id": "6256610bc312410009b7390b",
"customer": {
"id": "62cffd65e8d7eb868c6a29d6",
"customerReferenceId": "12345",
"locale": "en_US",
"email": "[email protected]",
"contactNumber": "+923333709568",
"firstName": "Pat",
"middleName": "E",
"lastName": "Kake",
"segment": [
"employee"
],
"employeeId": "345",
"communicationPreference": {
"email": true,
"sms": true
},
"status": "ACTIVE",
"createdAt": "2021-10-12T21:35:05.756Z",
"updatedAt": "2021-10-14T05:40:55.997Z"
},
"item": {
"id": 1000000006,
"sku": "MOBO-X570",
"quantity": 1,
"itemPrice": {
"price": 100,
"currencyCode": "USD"
},
"weight": 10,
"weightUnit": "lb",
"title": "Vitamin",
"description": "Vitamin C",
"tax": {
"taxCode": "FR020000",
"taxAmount": 10,
"currencyCode": "USD"
}
},
"plan": {
"frequency": 30,
"frequencyType": "Daily",
"id": "1001"
},
"offer": {
"id": "SUB-E10717",
"source": "PDP"
},
"shipping": {
"shipmentCarrier": "USPS",
"shipmentMethod": "Ground",
"shipmentInstructions": "Please leave the package in the box",
"taxCode": "SHP020000",
"shippingAmount": 10,
"taxAmount": 1,
"currencyCode": "USD"
},
"expiry": {
"expiryDate": "2022-07-18T09:16:11.437Z",
"billingCycles": 2
},
"shipTo": {
"name": {
"firstName": "Pat",
"lastName": "Kake",
"middleName": "E"
},
"streetAddress": {
"street1": "123 Main St",
"street2": "Suite 100"
},
"city": "Boston",
"state": "MA",
"postalCode": "02127",
"country": "US",
"phone": {
"number": "5555551234",
"kind": "home"
}
},
"billTo": {
"name": {
"firstName": "Pat",
"lastName": "Kake",
"middleName": "E"
},
"streetAddress": {
"street1": "123 Main St",
"street2": "Suite 100"
},
"city": "Boston",
"state": "MA",
"postalCode": "02127",
"country": "US",
"phone": {
"number": "5555551234",
"kind": "home"
}
},
"paymentDetails": {
"paymentIdentifier": {
"cardIdentifier": "1234",
"expiryDate": "12/20"
},
"paymentMethod": "credit_card",
"paymentKind": "Visa"
},
"customAttributes": {
"storeId": "60cb07fc20387b000821c5c3",
"associateId": 1,
"trackingUrl": "609436d21baded0008945b05"
},
"status": "ACTIVE",
"isDeleted": false,
"deletedAt": "2019-01-01T00:00:00.000Z",
"channel": "WEBSITE",
"originOrderId": "22-4498-4800",
"offsetDays": 2,
"createdAt": "2021-10-12T21:35:05.756Z",
"updatedAt": "2021-10-14T05:40:55.997Z",
"statusUpdatedAt": "2021-10-14T10:24:36.468Z"
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Subscription ID
"6169b2d892a5f30009d76480"
Details used to update subscription
Channel
WEBSITE, POS "WEBSITE"
Customer details to be updated
Show child attributes
Ship to details
Show child attributes
Billing address update details
Show child attributes
Payment details to be updated
Show child attributes
Custom attributes
Show child attributes
Item details to be updated
Show child attributes
Subscription plan details
Show child attributes
Offer details to be updated
Show child attributes
Shipping details to be updated
Show child attributes
Expiration date and billing cycle
Show child attributes
Was this page helpful?